|
@@ -291,14 +291,56 @@ POOL=a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe
|
|
FARM=8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
|
|
FARM=8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
|
|
OUT=/store/
|
|
OUT=/store/
|
|
rm /raid/plotting/*
|
|
rm /raid/plotting/*
|
|
-for i in {1..1}
|
|
|
|
|
|
+for i in {1..4}
|
|
do
|
|
do
|
|
echo "$(tput setaf 10)Build Plot N°$i$(tput sgr0)"
|
|
echo "$(tput setaf 10)Build Plot N°$i$(tput sgr0)"
|
|
-./bladebit -v -t 30 -p $POOL -f $FARM -z 7 diskplot --f1-threads 16 --c-threads 16 --p2-threads 8 --cache 110G -t1 /raid/plotting $OUT
|
|
|
|
|
|
+./bladebit -v -t 32 -p $POOL -f $FARM -z 7 diskplot --f1-threads 16 --c-threads 16 --p2-threads 8 --cache 110G -t1 /raid/plotting $OUT
|
|
done
|
|
done
|
|
-#sudo init 0
|
|
|
|
|
|
+uploader_chia.sh stop
|
|
|
|
+sudo init 0
|
|
EOF
|
|
EOF
|
|
chmod +x /home/wareck/chia/bladebit/build/h9.sh
|
|
chmod +x /home/wareck/chia/bladebit/build/h9.sh
|
|
|
|
+cat <<'EOF'>> /home/wareck/chia/bladebit/build/snap.sh
|
|
|
|
+#!/bin/bash
|
|
|
|
+POOL=a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe2ca275c0930149b67990a
|
|
|
|
+FARM=8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
|
|
|
|
+OUT=/store/
|
|
|
|
+
|
|
|
|
+die(){
|
|
|
|
+ local m="$1" # the first arg
|
|
|
|
+ local e=$2 # the second arg
|
|
|
|
+ echo "$m"
|
|
|
|
+ exit $e
|
|
|
|
+}
|
|
|
|
+[ $# -eq 0 ] && die "Usage: $0 number_of_plots" 1
|
|
|
|
+
|
|
|
|
+function plotting {
|
|
|
|
+for (( $start ; $number ; $Z ))
|
|
|
|
+do
|
|
|
|
+echo "$(tput setaf 10)Build Plots $c $(tput sgr0)"
|
|
|
|
+./bladebit -w -t 30 -p $POOL -f $FARM -z 7 diskplot --f1-threads 16 --c-threads 16 --p2-threads 8 --cache 110G -t1 /raid/plotting $OUT
|
|
|
|
+done
|
|
|
|
+sudo init 0
|
|
|
|
+}
|
|
|
|
+
|
|
|
|
+if [ $1 = "i" ]
|
|
|
|
+then
|
|
|
|
+number="c<=1000"
|
|
|
|
+else
|
|
|
|
+number="c<=$1"
|
|
|
|
+fi
|
|
|
|
+start="c=1";Z="c++"
|
|
|
|
+
|
|
|
|
+rm /raid/plotting/*
|
|
|
|
+plotting
|
|
|
|
+
|
|
|
|
+if [[ ! -z $2 || $2 = "stop" ]]
|
|
|
|
+then
|
|
|
|
+uploader_chia.sh stop
|
|
|
|
+fi
|
|
|
|
+EOF
|
|
|
|
+chmod +x /home/wareck/chia/bladebit/build/snap.sh
|
|
|
|
+
|
|
cat <<'EOF'>> /home/wareck/chia/chia-gigahorse/cpu-plotter/linux/x86_64/go.sh
|
|
cat <<'EOF'>> /home/wareck/chia/chia-gigahorse/cpu-plotter/linux/x86_64/go.sh
|
|
#!/bin/bash
|
|
#!/bin/bash
|
|
POOL=a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe2ca275c0930149b67990a
|
|
POOL=a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe2ca275c0930149b67990a
|
|
@@ -308,14 +350,28 @@ rm /raid/plotting/*
|
|
for i in {1..1}
|
|
for i in {1..1}
|
|
do
|
|
do
|
|
echo "$(tput setaf 10)Build Plot N°$i$(tput sgr0)"
|
|
echo "$(tput setaf 10)Build Plot N°$i$(tput sgr0)"
|
|
-./bladebit -v -t 30 -p $POOL -f $FARM -z 7 diskplot --f1-threads 16 --c-threads 16 --p2-threads 8 --cache 110G -t1 /raid/plotting $OUT
|
|
|
|
|
|
+./bladebit -v -t 32 -p $POOL -f $FARM -z 7 diskplot --f1-threads 16 --c-threads 16 --p2-threads 8 --cache 110G -t1 /raid/plotting $OUT
|
|
done
|
|
done
|
|
#sudo init 0
|
|
#sudo init 0
|
|
EOF
|
|
EOF
|
|
chmod +x /home/wareck/chia/chia-gigahorse/cpu-plotter/linux/x86_64/go.sh
|
|
chmod +x /home/wareck/chia/chia-gigahorse/cpu-plotter/linux/x86_64/go.sh
|
|
|
|
+cat <<'EOF'>> /home/wareck/chia/chia-plotter/build/h9.sh
|
|
|
|
+#!/bin/bash
|
|
|
|
+POOL=a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe2ca275c0930149b67990a
|
|
|
|
+FARM=8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
|
|
|
|
+OUT=/store/
|
|
|
|
+./chia_plot -p $POOL -f $FARM -n 6 -r 32 -t /raid/plotting/ -2 /ramdisk/ -d $OUT
|
|
|
|
+uploader_chia.sh stop
|
|
|
|
+sudo init 0
|
|
|
|
+EOF
|
|
|
|
+chmod +x /home/wareck/chia/chia-plotter/build/h9.sh
|
|
echo "Done."
|
|
echo "Done."
|
|
}
|
|
}
|
|
|
|
|
|
|
|
+function wallpaper_ {
|
|
|
|
+wget -c -q http://folivier.homelinux.org/alma/nebula_cloud.jpg -O /home/wareck/Images/nebula_cloud.jpg
|
|
|
|
+}
|
|
|
|
+
|
|
intro_
|
|
intro_
|
|
update_
|
|
update_
|
|
lvm2_
|
|
lvm2_
|
|
@@ -326,6 +382,7 @@ miner_
|
|
crontab_
|
|
crontab_
|
|
bash_
|
|
bash_
|
|
config_
|
|
config_
|
|
|
|
+wallpaper_
|
|
webmin_
|
|
webmin_
|
|
|
|
|
|
echo -e "\n"
|
|
echo -e "\n"
|